# repo containing configs and scripts to set up a box

### prerequisites
- when running on a fresh system, ensure package manager is configured
    - i.e. source repos, mirrors, etc. are configured
    - if on macOS, have to first install the package manager, [homebrew](https://brew.sh/)
- zsh is installed (scripts are written for zsh)
    - ensure ZDOTDIR is set in a persistent way for system (not just setup scripts)
    - current approach: add `export ZDOTDIR="$HOME/.config/zsh"` to `/etc/zshenv`
- export the env var `BOX_SETUP_OS` to indicate the operating system
    - options defined in `set_script_env_vars` file
- ensure sudo access is configured for the current user (2025-01-27, not needed on macos)

### script run
- git clone this repo (TODO: consider adding logic to handle automatically)
- from the repo's root directory, run `./box_setup`

### todo items
- nvim config
- consider: optional vim config as a backup?
- decide on and implement approach for languages and versioning
    - docker? or alternatives like podman? any license concerns?
    - asdf, or language-specific version managers?
    - hybrid of the above?
- gimp config, src_files/.config/GIMP (dir)
    - set things in gtkrc only? still need to nest that within a sub dir?
    - or maybe just configure in gimp's gui, copy the whole resulting dir into
      src_files/.config/GIMP and call it a day
